Package picard.util

## Class DelimitedTextFileWithHeaderIterator.Row

- java.lang.Object
- - picard.util.DelimitedTextFileWithHeaderIterator.Row

- Enclosing class:
    DelimitedTextFileWithHeaderIterator

      public class DelimitedTextFileWithHeaderIterator.Row
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCurrentLine()` |
    `String` | `getField​(String columnLabel)` |
    `String[]` | `getFields()` |
    `Integer` | `getIntegerField​(String columnLabel)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFields

          public String[] getFields()

      Returns:
        Array of fields in the order they appear in the file.

    - #### getField

          public String getField​(String columnLabel)

    - #### getIntegerField

          public Integer getIntegerField​(String columnLabel)

    - #### getCurrentLine

          public String getCurrentLine()